#Include once "window9.bi"

Function RunProgram(ByVal Filename As String, ByVal Parameter As String, ByVal WorkingDirectory As String, ByVal  Flags As String,ByVal ShowCmd As integer) As integer  Export
  Return cast(integer,ShellExecute(0,Cast(LPCTSTR,StrPtr(flags)) , Cast(LPCTSTR,StrPtr(Filename)),cast(LPCSTR,StrPtr(Parameter)),Cast(LPCTSTR,StrPtr(WorkingDirectory)) , ShowCmd))
End Function
